Bug 122935 - Port fix: graphics/guilib - Checksum mismatch
Summary: Port fix: graphics/guilib - Checksum mismatch
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jose Alonso Cardenas Marquez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-20 18:00 UTC by ganael.laplanche
Modified: 2008-04-22 17:10 UTC (History)
0 users

See Also:


Attachments
file.diff (1.26 KB, patch)
2008-04-20 18:00 UTC, ganael.laplanche
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ganael.laplanche 2008-04-20 18:00:02 UTC
Guilib has been marked BROKEN since April, 10th 2008. It seems the tarball has changed upstream. I have been able to find out the old tarball and compare its contents to the 'new' one.

The old version is mirrored here :
http://zenwalk.biz.net.id/zenwalk/people/michael/sdl/source/
and matches the current checksum/size values of the port.

The new one is (of course) available here :
http://www.libsdl.org/projects/GUIlib/src/
and does not match the checksum/size values of the port.

A diff only shows the following changes :

diff -aurN GUIlib-1.2.1.old/Makefile.am GUIlib-1.2.1/Makefile.am
--- GUIlib-1.2.1.old/Makefile.am        2007-07-15 07:39:11.000000000 +0200
+++ GUIlib-1.2.1/Makefile.am    2007-12-28 18:25:05.000000000 +0100
@@ -6,18 +6,20 @@
 libGUIinclude_HEADERS =                \
        GUI.h                   \
        GUI_C.h                 \
-       GUI_status.h            \
-       GUI_widget.h            \
-       GUI_widgets.h           \
        GUI_area.h              \
        GUI_button.h            \
+       GUI_font.h              \
        GUI_generic.h           \
        GUI_image.h             \
+       GUI_loadimage.h         \
+       GUI_menu.h              \
+       GUI_output.h            \
        GUI_scroll.h            \
        GUI_scrollbar.h         \
+       GUI_status.h            \
        GUI_termwin.h           \
-       GUI_font.h              \
-       GUI_menu.h
+       GUI_widget.h            \
+       GUI_widgets.h

 libGUI_la_SOURCES =            \
        GUI.cpp                 \
diff -aur GUIlib-1.2.1.old/Makefile.in GUIlib-1.2.1/Makefile.in
--- GUIlib-1.2.1.old/Makefile.in        2007-07-15 07:39:42.000000000 +0200
+++ GUIlib-1.2.1/Makefile.in    2007-12-28 18:26:05.000000000 +0100
@@ -242,18 +242,20 @@
 libGUIinclude_HEADERS = \
        GUI.h                   \
        GUI_C.h                 \
-       GUI_status.h            \
-       GUI_widget.h            \
-       GUI_widgets.h           \
        GUI_area.h              \
        GUI_button.h            \
+       GUI_font.h              \
        GUI_generic.h           \
        GUI_image.h             \
+       GUI_loadimage.h         \
+       GUI_menu.h              \
+       GUI_output.h            \
        GUI_scroll.h            \
        GUI_scrollbar.h         \
+       GUI_status.h            \
        GUI_termwin.h           \
-       GUI_font.h              \
-       GUI_menu.h
+       GUI_widget.h            \
+       GUI_widgets.h

 libGUI_la_SOURCES = \
        GUI.cpp                 \


As you can see, Guilib now installs two more files : GUI_loadimage.h and GUI_output.h.

Find a patch attached that removes the BROKEN flag, handles the distinfo changes and adds the two files to the plist.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-04-20 18:00:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->acm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2008-04-22 17:08:00 UTC
acm         2008-04-22 16:07:46 UTC

  FreeBSD ports repository

  Modified files:
    graphics/guilib      Makefile distinfo pkg-plist 
  Log:
  - Tarball was rerolled, now it installs two new files
  - Remove BROKEN state
  
  PR:             122935
  Submitted by:   Ganael Laplanche <ganael.laplanche.. at_martymac.com>
  
  Revision  Changes    Path
  1.30      +0 -2      ports/graphics/guilib/Makefile
  1.9       +3 -3      ports/graphics/guilib/distinfo
  1.3       +2 -0      ports/graphics/guilib/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Jose Alonso Cardenas Marquez freebsd_committer 2008-04-22 17:10:23 UTC
State Changed
From-To: open->closed

Committed thanks :)